need an update Rated 4 out of 5 stars

doesn't work well with firefox 3.6.2